Bug 643182 - --sizelimit unhelpful error with *-find commands
Summary: --sizelimit unhelpful error with *-find commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-admintools
Version: 2.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 714238
TreeView+ depends on / blocked
 
Reported: 2010-10-14 20:51 UTC by Jenny Severance
Modified: 2015-01-21 20:01 UTC (History)
3 users (show)

Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 714238 (view as bug list)
Environment:
Last Closed: 2012-03-27 07:14:37 UTC


Attachments (Terms of Use)

Description Jenny Severance 2010-10-14 20:51:05 UTC
Description of problem:

If sizelimit is over the integer size allow, it returns a cryptic message to the admin user ...

[root@dhcp-100-3-186 ipa-hostgroup-cli]# ipa hostgroup-find --sizelimit=20000000000
ipa: ERROR: invalid 'sizelimit': need a <type 'int'>; got 20000000000L (a <type 'long'>)
[root@dhcp-100-3-186 ipa-hostgroup-cli]# ipa group-find --sizelimit=20000000000
ipa: ERROR: invalid 'sizelimit': need a <type 'int'>; got 20000000000L (a <type 'long'>)



Version-Release number of selected component (if applicable):
ipa-server-1.91-0.2010101321git19272e5.fc12.i686

How reproducible:
always

Steps to Reproduce:
1. see description
2.
3.
  
Actual results:
cryptic error message

Expected results:
user friendly error message

Additional info:

Comment 1 Dmitri Pal 2010-12-10 22:15:28 UTC
https://fedorahosted.org/freeipa/ticket/614

Comment 2 Rob Crittenden 2011-02-07 17:47:46 UTC
This was fixed as a side-effect of adding a default max value to integer type options. The new error is a more reasonable:

ipa: ERROR: invalid 'sizelimit': can be at most 2147483647

master: 886e417fd76b25a28cde70be8de2851047ed0338

Comment 3 Jenny Severance 2011-06-10 17:08:57 UTC
# ipa user-find --sizelimit=20000000000
ipa: ERROR: invalid 'sizelimit': can be at most 2147483647


# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 23.el6                        Build Date: Wed 20 Apr 2011 09:57:13 AM EDT
Install Date: Thu 19 May 2011 12:47:52 PM EDT      Build Host: x86-003.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.0.0-23.el6.src.rpm
Size        : 2565882                          License: GPLv3+
Signature   : RSA/8, Thu 21 Apr 2011 03:48:25 PM EDT, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).

Automated regression test exists.


Note You need to log in before you can comment on or make changes to this bug.